Bug 1196340 - lib64 bug in /usr/share/config.site
Summary: lib64 bug in /usr/share/config.site
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: autoconf
Version: 21
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Pavel Raiskup
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 772997
TreeView+ depends on / blocked
 
Reported: 2015-02-25 18:15 UTC by Andreas Gruenbacher
Modified: 2015-03-09 08:40 UTC (History)
2 users (show)

Fixed In Version: autoconf-2.69-17.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1198538 (view as bug list)
Environment:
Last Closed: 2015-03-04 10:23:39 UTC
Type: Bug


Attachments (Terms of Use)
Fix for this bug (409 bytes, patch)
2015-02-25 18:15 UTC, Andreas Gruenbacher
no flags Details | Diff
/usr/local/share/config.site (695 bytes, text/plain)
2015-02-25 18:26 UTC, Andreas Gruenbacher
no flags Details

Description Andreas Gruenbacher 2015-02-25 18:15:39 UTC
Created attachment 995287 [details]
Fix for this bug

Description of problem:
The /usr/share/config.site script tries to detect when a prefix of /usr is used and fixes up some of the paths that autoconf uses by default. It gets this right when configure is called with the --prefix=/usr option, but fails when a package uses the following autoconf macro to change the default prefix:

  AC_PREFIX_DEFAULT(/usr)

In that case, prefix is set to NONE and ac_default_prefix is set to /usr in /usr/share/config.site.

Version-Release number of selected component (if applicable):
autoconf-2.69-16.fc21.noarch

How reproducible:
Always


Steps to Reproduce:
Run ./configure in a package whose configure.ac contains "AC_PREFIX_DEFAULT(/usr)" and observe that libdir is set to "${exec_prefix}/lib" instead of "${exec_prefix}/lib64".

If no such package is at hand, add "AC_PREFIX_DEFAULT(/usr)" to a random package and regenerate the configure script.

Actual results:
libdir set to "${exec_prefix}/lib"

Expected results:
libdir set to "${exec_prefix}/lib64"

Additional info:
It is extremely dumb of autoconf to require a complicated config.site script for such a common case.

Comment 1 Andreas Gruenbacher 2015-02-25 18:26:10 UTC
Created attachment 995289 [details]
/usr/local/share/config.site

In addition, the /usr/share/config.site script is not used by autoconf for the default "/usr/local" prefix, so libdir is also set wrong in that case.

As long as autoconf doesn't learn to set libdir correctly itself, the Fedora autoconf package should probably also include a /usr/local/share/config.site script similar to this attachment.

Comment 2 Fedora Update System 2015-02-27 10:49:51 UTC
autoconf-2.69-17.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/autoconf-2.69-17.fc21

Comment 3 Fedora Update System 2015-02-27 10:50:22 UTC
autoconf-2.69-17.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/autoconf-2.69-17.fc22

Comment 4 Fedora Update System 2015-02-27 19:43:29 UTC
Package autoconf-2.69-17.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing autoconf-2.69-17.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-2760/autoconf-2.69-17.fc22
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2015-03-04 10:23:39 UTC
autoconf-2.69-17.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2015-03-09 08:40:22 UTC
autoconf-2.69-17.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.